require 'optparse'

module CatClaw
  def self.catch
    Catcher.new.paw
  end

  class Catcher
    def initialize
      @cats = [
        CatClaw::RubyChinaCat.new,
        CatClaw::V2EXCat.new,
        CatClaw::WeWorkRemotelyCat.new,
        CatClaw::StackOverFlowCat.new
      ]
    end

    def paw
      footprints = []
      @cats.each do |cat|
        footprint = cat.paw
        footprints << footprint
      end
      footprints
    end

    def run
      paw
    end
  end
end
